Cầu đường Online
Cảm ơn bạn đã ghé thăm diễn đàn! Bạn chưa đăng kí để trở thành những Members!
Xem phim 3D - http://3dsmartcoffee.com.vn
Similar topics
    Đăng Nhập

    Quên mật khẩu

    Latest topics
    » Đăng tải hồ sơ năng lực xây dựng
    Thu Jun 23, 2016 11:10 am by dangtaixd

    » Thói quen thay dầu máy xe ô tô không đúng cách là nguyên nhân khiến động cơ ôtô nhanh xuống cấp
    Thu Apr 07, 2016 10:46 am by thuanit64

    » Chăm sóc bảo dưỡng bảo trì ôtô đúng cách
    Thu Apr 07, 2016 10:46 am by thuanit64

    » Khi nào cần thay nhớt động cơ xe hơi - ôtô
    Thu Apr 07, 2016 10:45 am by thuanit64

    » Tại sao phải chăm sóc thay dầu hộp số ô tô định kỳ
    Thu Apr 07, 2016 10:45 am by thuanit64

    » Mở lớp thẩm định giá tại Vũng Tàu, Khánh Hòa ngày 22/4
    Mon Mar 28, 2016 1:50 pm by viengiaoduc

    » Cơ hội có chứng chỉ hành nghề giám sát, thiết kế, khảo sát không phải thi sát hạch
    Mon Mar 14, 2016 3:08 pm by viengiaoduc

    » Học chứng chỉ thẩm định giá ở đâu tốt nhất
    Tue Mar 08, 2016 9:26 am by viengiaoduc

    » Học chứng chỉ an toàn leo cao, thoát hiểm nhà cao tầng, làm việc trong không gian kín
    Wed Feb 24, 2016 2:59 pm by viengiaoduc

    » Địa điểm học nhanh chứng chỉ giám sát thi công công nghệ thông tin
    Wed Feb 17, 2016 3:05 pm by viengiaoduc

    » Học chứng chỉ giám sát thi công công nghệ thông tin giá rẻ
    Mon Jan 25, 2016 4:09 pm by viengiaoduc

    » Hỗ trợ xin cấp nhanh chứng chỉ hành nghề tu bổ di tích
    Tue Jan 12, 2016 4:39 pm by viengiaoduc

    » Địa điểm học chứng chỉ lập và quản lý dự án công nghệ thông tin uy tín nhất
    Wed Dec 30, 2015 10:06 am by viengiaoduc

    » Tại sao cần công khai năng lực nhà thầu lên web bộ XD/0967343258
    Wed Dec 16, 2015 1:59 pm by viengiaoduc

    » Địa điểm học chứng chỉ bảo quản, tu bổ di tích nhanh nhất
    Sat Dec 05, 2015 9:55 am by viengiaoduc

    Statistics
    Diễn Đàn hiện có 6501 thành viên
    Chúng ta cùng chào mừng thành viên mới đăng ký: tiennguyenglobal

    Tổng số bài viết đã gửi vào diễn đàn là 1657 in 410 subjects
    Vận tải Xây dựng
    Số lượt truy cập
    0982.767.231

    RẢI TALUY TRONG CAD

    Xem chủ đề cũ hơn Xem chủ đề mới hơn Go down

    NewPost RẢI TALUY TRONG CAD

    Bài gửi by qkhs.live on Sat Nov 20, 2010 9:24 am

    Nhờ admin viết giúp mình lisp rải taluy (giống với lisp admin đã đưa lên) nhưng có 1 vạch dài và 5 vạch ngắn.
    Cảm ơn admin.

    qkhs.live
    Thiếu uý

    Posts : 78
    Points : 106
    Reputation : 1
    Join date : 28/08/2010
    Age : 35
    Đến từ : TAYBAC

    http://taybac.1talk.net

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by Admin on Sat Nov 20, 2010 9:52 pm

    qkhs.live đã viết:Nhờ admin viết giúp mình lisp rải taluy (giống với lisp admin đã đưa lên) nhưng có 1 vạch dài và 5 vạch ngắn.
    Cảm ơn admin.
    Đây bác, cái này mình lượn nhặt trên mạng và cải tiến chút cho đúng với ý bác đây.
    Code:

    (defun c:RAITL (/ int refent reply s p cn en p0 pt1 pt2 pt3 pt4 xent xdist)
      (setvar "CMDECHO" 0)
      (setq osmode (getvar "osmode"))
      (setvar "osmode" 0)
      (setvar "unitmode" 0)
      (setvar "dimzin" 0)
      (setvar "aunits" 0)
      (setvar "angbase" (/ pi 2))
      (setvar "angdir" 1)
      (if (not (tblsearch "layer" "BATTER"))
        (command "_.layer" "n" "BATTER" "color" "8" "BATTER" "s" "BATTER" \n)
        (command "_.layer" "s" "BATTER" \n)
        )
      (if (not lint)
        (setq lint 10.0)
        )
      (setq int (getdist (strcat "\nNhap khoang cach chia taluy <" (rtos lint 2 3) ">: ")))
      (if int
        (setq lint int)
        (setq int lint)
        )
      (command "_.line" (list 0.0 0.0) (list 0.0 0.0001) "")
      (if (tblsearch "block" "tadtick")
        (command "_.block" "tadtick" "y" (list 0.0 0.0) (entlast) "")
        (command "_.block" "tadtick" (list 0.0 0.0) (entlast) "")
        );if
      (while (setq refent (entsel "\nChon doi tuong can rai taluy: "))
        (command "_.undo" "group")
        (redraw (car refent) 3)
        (initget 1 "daO daP")
        (setq reply (getkword "\nChon kieu taluy Nen Da[O] hay Nen Da[P]: "))
        (prompt "\nChon doi tuong giao tuyen voi mat tu nhien: ")
        (setq s (ssget))
        (command "_.measure" refent "b" "tadtick" "y" int)
        (setq p (ssget "p")
         cn 0
         )
        (if s
          (progn
       (while (< cn (sslength p))
         (setq en (entget (ssname p cn))
          p0 (cdr (assoc 10 en))
          pt1 p0
          pt2 nil
          b (cdr (assoc 50 en))
          )
         (entdel (ssname p cn))
         (setq p1 (polar p0 (+ (/ pi 2) b ) 0.0001))
         (command "_.line" p0 p1 "")
         (command "_.extend" s "" (list (entlast) p1) "")
         (setq xent (entget (entlast)))
         (setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
         (if (not (equal xdist 0.0001 0.0001))
           (setq pt2 (cdr (assoc 11 xent)))
           (progn
             (command "_.extend" s "" (list (entlast) p0) "")
             (setq xent (entget (entlast)))
             (setq xdist (distance (cdr (assoc 10 xent))
                    (cdr (assoc 11 xent))
                    )
              );setq
             (if (not (equal xdist 0.0001 0.0001))
          (setq pt2 (cdr (assoc 10 xent)))
          );if
             );progn
           );progn
         (entdel (entlast))
         (if pt2
           (if (= reply "daP")
             (if (= (rem cn 6) 0)
          (progn
            (command "_.line" pt1 pt2 "")
            )
          (progn
            (setq pt3 (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 2)))
            (command "_.line" pt1 pt3 "")
            )
          )
             (if (= (rem cn 6) 0)
          (progn
            (command "_.line" pt2 pt1 "")
            );progn
          (progn
            (setq pt3 (polar pt2 (angle pt2 pt1) (/ (distance pt2 pt1) 2)))
            (command "_.line" pt2 pt3 "" )
            );progn
          )
             )
           )
         (setq cn (1+ cn))
         );while
       );progn
          );if
        (command "_.undo" "en")
        );while
      (setvar "osmode" osmode)
      (princ)
      )


    Chung tay xây dựng nền tảng vững chắc - [You must be registered and logged in to see this link.]
    Sàn giao dịch bất động sản - Cafe xem phim 3D Đà Nẵng

    Admin
    Admin

    Posts : 362
    Points : 663
    Reputation : 53
    Join date : 17/08/2010
    Age : 32
    Đến từ : Đà Nẵng

    http://nguyentaudn.findtalk.biz

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by vugiang on Tue Nov 23, 2010 3:02 pm

    qkhs.live đã viết:Nhờ admin viết giúp mình lisp rải taluy (giống với lisp admin đã đưa lên) nhưng có 1 vạch dài và 5 vạch ngắn.
    Cảm ơn admin.

    Cái dải taluy này mình thấy có 3 cách dải là phổ biến.
    Cách1: nếu bạn dùng quen cad thì dùng lệnh me, sau đó chọn block với các bước, có 1 vạch dài và 5 vạch lớn sẽ được đường dải ta luy rất đẹp.
    Cách 2: Với những bản vẽ có các đường taluy trai, ta luy phải copy vào file bình đồ của mình, là bạn đã có đường ta luy sau đó chọn vào đường pl muốn nó là taluy trái, phải là do người dùng
    Cách 3: Viết bằng ngôn ngữ lips ít người dùng, mình chưa thấy, chỉ thấy 2 cách trên là phổ biến hiện nay trong các công ty tư vấn ở Hà Nội hay dùng.

    vugiang
    Binh nhì

    Posts : 7
    Points : 10
    Reputation : 1
    Join date : 29/08/2010

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by qkhs.live on Fri Nov 26, 2010 4:14 pm

    Admin đã viết:
    qkhs.live đã viết:Nhờ admin viết giúp mình lisp rải taluy (giống với lisp admin đã đưa lên) nhưng có 1 vạch dài và 5 vạch ngắn.
    Cảm ơn admin.
    Đây bác, cái này mình lượn nhặt trên mạng và cải tiến chút cho đúng với ý bác đây.
    Code:

    (defun c:RAITL (/ int refent reply s p cn en p0 pt1 pt2 pt3 pt4 xent xdist)
      (setvar "CMDECHO" 0)
      (setq osmode (getvar "osmode"))
      (setvar "osmode" 0)
      (setvar "unitmode" 0)
      (setvar "dimzin" 0)
      (setvar "aunits" 0)
      (setvar "angbase" (/ pi 2))
      (setvar "angdir" 1)
      (if (not (tblsearch "layer" "BATTER"))
        (command "_.layer" "n" "BATTER" "color" "8" "BATTER" "s" "BATTER" \n)
        (command "_.layer" "s" "BATTER" \n)
        )
      (if (not lint)
        (setq lint 10.0)
        )
      (setq int (getdist (strcat "\nNhap khoang cach chia taluy <" (rtos lint 2 3) ">: ")))
      (if int
        (setq lint int)
        (setq int lint)
        )
      (command "_.line" (list 0.0 0.0) (list 0.0 0.0001) "")
      (if (tblsearch "block" "tadtick")
        (command "_.block" "tadtick" "y" (list 0.0 0.0) (entlast) "")
        (command "_.block" "tadtick" (list 0.0 0.0) (entlast) "")
        );if
      (while (setq refent (entsel "\nChon doi tuong can rai taluy: "))
        (command "_.undo" "group")
        (redraw (car refent) 3)
        (initget 1 "daO daP")
        (setq reply (getkword "\nChon kieu taluy Nen Da[O] hay Nen Da[P]: "))
        (prompt "\nChon doi tuong giao tuyen voi mat tu nhien: ")
        (setq s (ssget))
        (command "_.measure" refent "b" "tadtick" "y" int)
        (setq p (ssget "p")
         cn 0
         )
        (if s
          (progn
       (while (< cn (sslength p))
         (setq en (entget (ssname p cn))
          p0 (cdr (assoc 10 en))
          pt1 p0
          pt2 nil
          b (cdr (assoc 50 en))
          )
         (entdel (ssname p cn))
         (setq p1 (polar p0 (+ (/ pi 2) b ) 0.0001))
         (command "_.line" p0 p1 "")
         (command "_.extend" s "" (list (entlast) p1) "")
         (setq xent (entget (entlast)))
         (setq xdist (distance (cdr (assoc 10 xent)) (cdr (assoc 11 xent))))
         (if (not (equal xdist 0.0001 0.0001))
           (setq pt2 (cdr (assoc 11 xent)))
           (progn
             (command "_.extend" s "" (list (entlast) p0) "")
             (setq xent (entget (entlast)))
             (setq xdist (distance (cdr (assoc 10 xent))
                    (cdr (assoc 11 xent))
                    )
              );setq
             (if (not (equal xdist 0.0001 0.0001))
          (setq pt2 (cdr (assoc 10 xent)))
          );if
             );progn
           );progn
         (entdel (entlast))
         (if pt2
           (if (= reply "daP")
             (if (= (rem cn 6) 0)
          (progn
            (command "_.line" pt1 pt2 "")
            )
          (progn
            (setq pt3 (polar pt1 (angle pt1 pt2) (/ (distance pt1 pt2) 2)))
            (command "_.line" pt1 pt3 "")
            )
          )
             (if (= (rem cn 6) 0)
          (progn
            (command "_.line" pt2 pt1 "")
            );progn
          (progn
            (setq pt3 (polar pt2 (angle pt2 pt1) (/ (distance pt2 pt1) 2)))
            (command "_.line" pt2 pt3 "" )
            );progn
          )
             )
           )
         (setq cn (1+ cn))
         );while
       );progn
          );if
        (command "_.undo" "en")
        );while
      (setvar "osmode" osmode)
      (princ)
      )
    Cảm ơn Admin nhé, cảm ơn nhiều. Mình đi công tác mới về giờ mới có thời gian online được. Đi ra ngoài toàn phải online bằng GPRS thôi.

    vugiang đã viết:
    qkhs.live đã viết:Nhờ admin viết giúp mình lisp rải taluy (giống với lisp admin đã đưa lên) nhưng có 1 vạch dài và 5 vạch ngắn.
    Cảm ơn admin.

    Cái dải taluy này mình thấy có 3 cách dải là phổ biến.
    Cách1: nếu bạn dùng quen cad thì dùng lệnh me, sau đó chọn block với các bước, có 1 vạch dài và 5 vạch lớn sẽ được đường dải ta luy rất đẹp.
    Cách 2: Với những bản vẽ có các đường taluy trai, ta luy phải copy vào file bình đồ của mình, là bạn đã có đường ta luy sau đó chọn vào đường pl muốn nó là taluy trái, phải là do người dùng
    Cách 3: Viết bằng ngôn ngữ lips ít người dùng, mình chưa thấy, chỉ thấy 2 cách trên là phổ biến hiện nay trong các công ty tư vấn ở Hà Nội hay dùng.
    Cảm ơn bạn Giang. Bạn có thể chỉ rõ cách của bạn nói được không? Mình chưa hiểu ý bạn lắm.

    qkhs.live
    Thiếu uý

    Posts : 78
    Points : 106
    Reputation : 1
    Join date : 28/08/2010
    Age : 35
    Đến từ : TAYBAC

    http://taybac.1talk.net

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by vugiang on Fri Nov 26, 2010 10:57 pm

    Cái mình nói ở đây tức là cách 1 hay dùng : Nếu cậu làm nhiều cad chắc cậu biết lệnh Me(mesua) lệnh này dùng để dải ta luy nói ra thì dài, Cậu chịu khó đọc lại lệnh này nhé mình nói ngắn gọn. Trước tiên cậu vẽ 1 vạch dài, 5 vạch ngắn khoảng cách là tùy vào tỷ lệ bình đồ của cậu, sau đó dùng lệnh B(bock) chọn những vạch vừa vẽ đó đặt tên là A, rồi dùng lệnh Me chọn đường muốn dải là TL trái hay phải( lưu ý khi bạn vẽ được 1 vạch lớn và 5 vạch nhỏ dùng Mi đối xứng đặt tên A(Trái) , B(phải)..) rồi gọi tên bock A, B cứ thế bạn sẽ các đường ta luy trái phải rất đẹp.
    Ngoài ra lệnh Me giúp bạn chia bình đồ với các đoạn từ 250m đến 500m. Nếu cậu vẽ bình đồ từ Km0- Km10 rất tiện khi bạn dùng Xr để cắt bình đồ thật tiện lợi
    Còn cách 2: thì bạn có thể lấy dải taluy của tư vấn 246 trong trang : Giaxaydung.com trước mình cũng hay làm kiểu này cậu chỉ cần copy vào bình đồ của cậu là file đó 2 nét TL trái, TL phải . lúc đó thích đường nào chỉ vào đó được thôi cái này nhanh và tiện lợi.

    vugiang
    Binh nhì

    Posts : 7
    Points : 10
    Reputation : 1
    Join date : 29/08/2010

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by Admin on Sat Nov 27, 2010 7:51 am

    vugiang đã viết:Cái mình nói ở đây tức là cách 1 hay dùng : Nếu cậu làm nhiều cad chắc cậu biết lệnh Me(mesua) lệnh này dùng để dải ta luy nói ra thì dài, Cậu chịu khó đọc lại lệnh này nhé mình nói ngắn gọn. Trước tiên cậu vẽ 1 vạch dài, 5 vạch ngắn khoảng cách là tùy vào tỷ lệ bình đồ của cậu, sau đó dùng lệnh B(bock) chọn những vạch vừa vẽ đó đặt tên là A, rồi dùng lệnh Me chọn đường muốn dải là TL trái hay phải( lưu ý khi bạn vẽ được 1 vạch lớn và 5 vạch nhỏ dùng Mi đối xứng đặt tên A(Trái) , B(phải)..) rồi gọi tên bock A, B cứ thế bạn sẽ các đường ta luy trái phải rất đẹp.
    Ngoài ra lệnh Me giúp bạn chia bình đồ với các đoạn từ 250m đến 500m. Nếu cậu vẽ bình đồ từ Km0- Km10 rất tiện khi bạn dùng Xr để cắt bình đồ thật tiện lợi
    Còn cách 2: thì bạn có thể lấy dải taluy của tư vấn 246 trong trang : Giaxaydung.com trước mình cũng hay làm kiểu này cậu chỉ cần copy vào bình đồ của cậu là file đó 2 nét TL trái, TL phải . lúc đó thích đường nào chỉ vào đó được thôi cái này nhanh và tiện lợi.
    Mấy ý của vugiang rất hay, mình có góp ý thế này, tất cả 2 cách bạn đưa ra đều khá đơn giản và mọi người cũng có thể tự làm được, tuy nhiên, nhược điểm của các cách này (mà cần phải sự hổ trợ của autolisp) là đường mái taluy không thể tự động "chạy" đến đường chân taluy được (vì mái taluy không phải chổ nào cũng bằng nhau, chổ rộng chổ hẹp, theo mình rải taluy pphải rải hết phạm vi rộng của mái taluy vừa đẹp, vừa đúng bản chất
    Thân


    Chung tay xây dựng nền tảng vững chắc - [You must be registered and logged in to see this link.]
    Sàn giao dịch bất động sản - Cafe xem phim 3D Đà Nẵng

    Admin
    Admin

    Posts : 362
    Points : 663
    Reputation : 53
    Join date : 17/08/2010
    Age : 32
    Đến từ : Đà Nẵng

    http://nguyentaudn.findtalk.biz

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by qkhs.live on Sun Nov 28, 2010 12:50 pm

    vugiang đã viết:Cái mình nói ở đây tức là cách 1 hay dùng : Nếu cậu làm nhiều cad chắc cậu biết lệnh Me(mesua) lệnh này dùng để dải ta luy nói ra thì dài, Cậu chịu khó đọc lại lệnh này nhé mình nói ngắn gọn. Trước tiên cậu vẽ 1 vạch dài, 5 vạch ngắn khoảng cách là tùy vào tỷ lệ bình đồ của cậu, sau đó dùng lệnh B(bock) chọn những vạch vừa vẽ đó đặt tên là A, rồi dùng lệnh Me chọn đường muốn dải là TL trái hay phải( lưu ý khi bạn vẽ được 1 vạch lớn và 5 vạch nhỏ dùng Mi đối xứng đặt tên A(Trái) , B(phải)..) rồi gọi tên bock A, B cứ thế bạn sẽ các đường ta luy trái phải rất đẹp.
    Ngoài ra lệnh Me giúp bạn chia bình đồ với các đoạn từ 250m đến 500m. Nếu cậu vẽ bình đồ từ Km0- Km10 rất tiện khi bạn dùng Xr để cắt bình đồ thật tiện lợi
    Còn cách 2: thì bạn có thể lấy dải taluy của tư vấn 246 trong trang : Giaxaydung.com trước mình cũng hay làm kiểu này cậu chỉ cần copy vào bình đồ của cậu là file đó 2 nét TL trái, TL phải . lúc đó thích đường nào chỉ vào đó được thôi cái này nhanh và tiện lợi.
    Mình cũng hay dùng Cad nhưng cách của bạn Giang mình chưa dùng bao giờ. Theo hướng dẫn của cậu mình sẽ tìm hiểu và kiếm tài lệu đọc thêm. cảm ơn bạn nhiều.
    Chúc anh em [You must be registered and logged in to see this link.] có ngày nghỉ cuối tuần vui vẻ.

    qkhs.live
    Thiếu uý

    Posts : 78
    Points : 106
    Reputation : 1
    Join date : 28/08/2010
    Age : 35
    Đến từ : TAYBAC

    http://taybac.1talk.net

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by thinhnd on Tue Jul 17, 2012 9:31 am

    Xin anh em chi cho cach ve taluy dep nhu trong ban ve nay. Thank!
    [You must be registered and logged in to see this link.]

    thinhnd
    Binh nhì

    Posts : 6
    Points : 6
    Reputation : 0
    Join date : 29/11/2010

    Về Đầu Trang Go down

    NewPost Re: RẢI TALUY TRONG CAD

    Bài gửi by Sponsored content Today at 2:52 am


    Sponsored content


    Về Đầu Trang Go down

    Xem chủ đề cũ hơn Xem chủ đề mới hơn Về Đầu Trang

    - Similar topics

     
    Permissions in this forum:
    Bạn không có quyền trả lời bài viết